Bug 972618 - x11vnc crash when client connect (buffer overflow detected), when ipv6 is disabled on host
x11vnc crash when client connect (buffer overflow detected), when ipv6 is dis...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libvncserver (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 04:39 EDT by Frantisek Hanzlik
Modified: 2015-02-18 08:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:55:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
x11vnc/gdb outputs when crash occurs (37.69 KB, text/plain)
2014-01-30 18:58 EST, Frantisek Hanzlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1070614 None None None Never
Launchpad 1175098 None None None Never
Debian BTS 735648 None None None Never

  None (edit)
Description Frantisek Hanzlik 2013-06-10 04:39:46 EDT
Description of problem:
I start x11vnc by command
/usr/bin/x11vnc -ncache 10 -auth /var/run/lightdm/root/:0 -localhost -display :0
and it run. But at the moment when client (vncviewer from tigervnc-1.2.80-0.10.20130314svn5065.fc18.i686 package) connect to it, x11vnc crashes with message:
*** buffer overflow detected ***: /usr/bin/x11vnc terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x45)[0x4c02cca5]
/lib/libc.so.6[0x4c02ac7a]
/lib/libc.so.6[0x4c02cbaa]
/lib/libvncserver.so.0(rfbProcessNewConnection+0x125)[0x41012835]
/lib/libvncserver.so.0(rfbCheckFds+0x390)[0x41012d40]
/lib/libvncserver.so.0(rfbProcessEvents+0x2f)[0x4100927f]
/usr/bin/x11vnc[0x80f28c1]
/usr/bin/x11vnc[0x80b13af]
/usr/bin/x11vnc[0x8055b43]
/lib/libc.so.6(__libc_start_main+0xf5)[0x4bf38865]
/usr/bin/x11vnc[0x8062999]
======= Memory map: ========
....


Running under gdb (w. debuginfo packages installed) give backtrace:
#0  0xb7fff424 in __kernel_vsyscall ()
#1  0x4bf4db7f in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
#2  0x4bf4f4d3 in __GI_abort () at abort.c:90
#3  0x4bf8d405 in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x4c091c25 "*** %s ***: %s terminated\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:197
#4  0x4c02cca5 in __GI___fortify_fail (msg=msg@entry=0x4c091bcb "buffer overflow detected") at fortify_fail.c:31
#5  0x4c02ac7a in __GI___chk_fail () at chk_fail.c:28
#6  0x4c02cbaa in __fdelt_chk (d=-1) at fdelt_chk.c:25
#7  0x41012835 in rfbProcessNewConnection (rfbScreen=rfbScreen@entry=0x83f01d0) at sockets.c:407
#8  0x41012d40 in rfbCheckFds (rfbScreen=rfbScreen@entry=0x83f01d0, usec=0) at sockets.c:306
#9  0x4100927f in rfbProcessEvents (screen=0x83f01d0, usec=<optimized out>, usec@entry=0) at main.c:1101
#10 0x080f28c1 in rfbPE (usec=usec@entry=0) at util.c:581
#11 0x080b13af in watch_loop () at screen.c:4527
#12 0x08055b43 in main (argc=8, argv=0xbffff104) at x11vnc.c:5990


Version-Release number of selected component (if applicable):
x11vnc-0.9.13-8.fc18.i686
libvncserver-0.9.9-7.fc18.i686
glibc-2.16-31.fc18.i686
Comment 1 Frantisek Hanzlik 2013-06-10 05:58:57 EDT
I now verified that same bug is on Fedora 17 i686 (x11vnc-0.9.13-3.fc17.i686, libvncserver-0.9.9-7.fc17.i686), and this problem seems be not x11vnc, but libvncserver bug - when I replace libvncserver-0.9.9-7.fc17.i686 with older libvncserver-0.9.8.2-4.fc17.i686, then all works fine and client can connect to remote X session.

Thus please change this against libvncserver (and extend it to F17 too)
Comment 2 Pavel Alexeev 2013-06-10 06:17:30 EDT
Reassigning according to last comment.
Comment 3 Frantisek Hanzlik 2013-06-10 07:34:24 EDT
Also, rebuild libvncserver-0.9.8.2-4.fc17.src.rpm for F18 and replace libvncserver-0.9.9-7.fc18.i686 with it, solve problem on F18
Comment 4 Frantisek Hanzlik 2013-08-20 09:18:28 EDT
just tested at FC19 x86_64: current version 0.9.9-7.fc19 crashed; when I replace
it with libvncserver-0.9.8.2-4.fc19.x86_64 (my build), x11vnc connection work fine. Thus raise Fedora version to 19.
Comment 5 Frantisek Hanzlik 2013-11-24 16:46:54 EST
After nearly half of year from initial report, this bug isn't  solved.
Comment 6 Darryl Bond 2014-01-30 01:18:43 EST
Still broken in F20/i686
libvncserver-0.9.9-10.fc20.i686

Pretty useless really.
Comment 7 Rex Dieter 2014-01-30 08:06:58 EST
pretty sure this is a x11vnc bug (not supporting libvncserver api for ipv6 connections).  Digging in to x11vnc source code for more details now.
Comment 9 Rex Dieter 2014-01-30 08:52:00 EST
Turns out I cannot reproduce the crash on host using:

$ rpm -q x11vnc libvncserver
x11vnc-0.9.13-11.fc19.x86_64
libvncserver-0.9.9-10.fc19.x86_64

and connecting to it from a fedora 20 client.

(I suppose there's a chance this is i686-specific somehow).

If anyone can still reproduce this, can you generate a fresh backtrace (or let abrt do it for you)?
Comment 10 Darryl Bond 2014-01-30 16:14:31 EST
[client@lts11-6 ~]$ x11vnc
###############################################################
#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#
#@                                                           @#
#@  **  WARNING  **  WARNING  **  WARNING  **  WARNING  **   @#
#@                                                           @#
#@        YOU ARE RUNNING X11VNC WITHOUT A PASSWORD!!        @#
#@                                                           @#
#@  This means anyone with network access to this computer   @#
#@  may be able to view and control your desktop.            @#
#@                                                           @#
#@ >>> If you did not mean to do this Press CTRL-C now!! <<< @#
#@                                                           @#
#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#
#@                                                           @#
#@  You can create an x11vnc password file by running:       @#
#@                                                           @#
#@       x11vnc -storepasswd password /path/to/passfile      @#
#@  or   x11vnc -storepasswd /path/to/passfile               @#
#@  or   x11vnc -storepasswd                                 @#
#@                                                           @#
#@  (the last one will use ~/.vnc/passwd)                    @#
#@                                                           @#
#@  and then starting x11vnc via:                            @#
#@                                                           @#
#@      x11vnc -rfbauth /path/to/passfile                    @#
#@                                                           @#
#@  an existing ~/.vnc/passwd file from another VNC          @#
#@  application will work fine too.                          @#
#@                                                           @#
#@  You can also use the -passwdfile or -passwd options.     @#
#@  (note -passwd is unsafe if local users are not trusted)  @#
#@                                                           @#
#@  Make sure any -rfbauth and -passwdfile password files    @#
#@  cannot be read by untrusted users.                       @#
#@                                                           @#
#@  Use x11vnc -usepw to automatically use your              @#
#@  ~/.vnc/passwd or ~/.vnc/passwdfile password files.       @#
#@  (and prompt you to create ~/.vnc/passwd if neither       @#
#@  file exists.)  Under -usepw, x11vnc will exit if it      @#
#@  cannot find a password to use.                           @#
#@                                                           @#
#@                                                           @#
#@  Even with a password, the subsequent VNC traffic is      @#
#@  sent in the clear.  Consider tunnelling via ssh(1):      @#
#@                                                           @#
#@    http://www.karlrunge.com/x11vnc/#tunnelling            @#
#@                                                           @#
#@  Or using the x11vnc SSL options: -ssl and -stunnel       @#
#@                                                           @#
#@  Please Read the documention for more info about          @#
#@  passwords, security, and encryption.                     @#
#@                                                           @#
#@    http://www.karlrunge.com/x11vnc/faq.html#faq-passwd    @#
#@                                                           @#
#@  To disable this warning use the -nopw option, or put     @#
#@  'nopw' on a line in your ~/.x11vncrc file.               @#
#@                                                           @#
#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#
###############################################################
31/01/2014 07:14:19 x11vnc version: 0.9.13 lastmod: 2011-08-10  pid: 19872
31/01/2014 07:14:19 Using X display :0
31/01/2014 07:14:19 rootwin: 0x2ba reswin: 0x2600001 dpy: 0x9eb6018
31/01/2014 07:14:19 
31/01/2014 07:14:19 ------------------ USEFUL INFORMATION ------------------
31/01/2014 07:14:19 X DAMAGE available on display, using it for polling hints.
31/01/2014 07:14:19   To disable this behavior use: '-noxdamage'
31/01/2014 07:14:19 
31/01/2014 07:14:19   Most compositing window managers like 'compiz' or 'beryl'
31/01/2014 07:14:19   cause X DAMAGE to fail, and so you may not see any screen
31/01/2014 07:14:19   updates via VNC.  Either disable 'compiz' (recommended) or
31/01/2014 07:14:19   supply the x11vnc '-noxdamage' command line option.
31/01/2014 07:14:19 
31/01/2014 07:14:19 Wireframing: -wireframe mode is in effect for window moves.
31/01/2014 07:14:19   If this yields undesired behavior (poor response, painting
31/01/2014 07:14:19   errors, etc) it may be disabled:
31/01/2014 07:14:19    - use '-nowf' to disable wireframing completely.
31/01/2014 07:14:19    - use '-nowcr' to disable the Copy Rectangle after the
31/01/2014 07:14:19      moved window is released in the new position.
31/01/2014 07:14:19   Also see the -help entry for tuning parameters.
31/01/2014 07:14:19   You can press 3 Alt_L's (Left "Alt" key) in a row to 
31/01/2014 07:14:19   repaint the screen, also see the -fixscreen option for
31/01/2014 07:14:19   periodic repaints.
31/01/2014 07:14:19 
31/01/2014 07:14:19 XFIXES available on display, resetting cursor mode
31/01/2014 07:14:19   to: '-cursor most'.
31/01/2014 07:14:19   to disable this behavior use: '-cursor arrow'
31/01/2014 07:14:19   or '-noxfixes'.
31/01/2014 07:14:19 using XFIXES for cursor drawing.
31/01/2014 07:14:19 GrabServer control via XTEST.
31/01/2014 07:14:19 
31/01/2014 07:14:19 Scroll Detection: -scrollcopyrect mode is in effect to
31/01/2014 07:14:19   use RECORD extension to try to detect scrolling windows
31/01/2014 07:14:19   (induced by either user keystroke or mouse input).
31/01/2014 07:14:19   If this yields undesired behavior (poor response, painting
31/01/2014 07:14:19   errors, etc) it may be disabled via: '-noscr'
31/01/2014 07:14:19   Also see the -help entry for tuning parameters.
31/01/2014 07:14:19   You can press 3 Alt_L's (Left "Alt" key) in a row to 
31/01/2014 07:14:19   repaint the screen, also see the -fixscreen option for
31/01/2014 07:14:19   periodic repaints.
31/01/2014 07:14:19 
31/01/2014 07:14:19 XKEYBOARD: number of keysyms per keycode 7 is greater
31/01/2014 07:14:19   than 4 and 51 keysyms are mapped above 4.
31/01/2014 07:14:19   Automatically switching to -xkb mode.
31/01/2014 07:14:19   If this makes the key mapping worse you can
31/01/2014 07:14:19   disable it with the "-noxkb" option.
31/01/2014 07:14:19   Also, remember "-remap DEAD" for accenting characters.
31/01/2014 07:14:19 
31/01/2014 07:14:19 X FBPM extension not supported.
31/01/2014 07:14:19 X display is capable of DPMS.
31/01/2014 07:14:19 --------------------------------------------------------
31/01/2014 07:14:19 
31/01/2014 07:14:19 Default visual ID: 0x21
31/01/2014 07:14:19 Read initial data from X display into framebuffer.
31/01/2014 07:14:19 initialize_screen: fb_depth/fb_bpp/fb_Bpl 24/32/6720
31/01/2014 07:14:19 
31/01/2014 07:14:19 X display :0 is 32bpp depth=24 true color
31/01/2014 07:14:19 
31/01/2014 07:14:19 Autoprobing TCP port 
31/01/2014 07:14:19 Autoprobing selected TCP port 5900
31/01/2014 07:14:19 Autoprobing TCP6 port 
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:19 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:14:20 Failure autoprobing: Address family not supported by protocol
31/01/2014 07:14:20 listen6: socket: Address family not supported by protocol
31/01/2014 07:14:20 (Ignore the above error if this system is IPv4-only.)
31/01/2014 07:14:20 Not listening on IPv6 interface.
31/01/2014 07:14:20 
31/01/2014 07:14:20 Xinerama is present and active (e.g. multi-head).
31/01/2014 07:14:20 Xinerama: number of sub-screens: 1
31/01/2014 07:14:20 Xinerama: no blackouts needed (only one sub-screen)
31/01/2014 07:14:20 
31/01/2014 07:14:20 fb read rate: 191 MB/sec
31/01/2014 07:14:20 fast read: reset -wait  ms to: 10
31/01/2014 07:14:20 fast read: reset -defer ms to: 10
31/01/2014 07:14:20 The X server says there are 10 mouse buttons.
31/01/2014 07:14:20 screen setup finished.
31/01/2014 07:14:20 
31/01/2014 07:14:20 WARNING: You are running x11vnc WITHOUT a password.  See
31/01/2014 07:14:20 WARNING: the warning message printed above for more info.
31/01/2014 07:14:20 

The VNC desktop is:      lts11-6.gps.local:0
PORT=5900

******************************************************************************
Have you tried the x11vnc '-ncache' VNC client-side pixel caching feature yet?

The scheme stores pixel data offscreen on the VNC viewer side for faster
retrieval.  It should work with any VNC viewer.  Try it by running:

    x11vnc -ncache 10 ...

One can also add -ncache_cr for smooth 'copyrect' window motion.
More info: http://www.karlrunge.com/x11vnc/faq.html#faq-client-caching

*** buffer overflow detected ***: x11vnc terminated
======= Backtrace: =========
/lib/libc.so.6(+0x6e2e3)[0xb71192e3]
/lib/libc.so.6(__fortify_fail+0x45)[0xb71b4575]
/lib/libc.so.6(+0x10764a)[0xb71b264a]
/lib/libc.so.6(+0x10948a)[0xb71b448a]
/lib/libvncserver.so.0(rfbProcessNewConnection+0x131)[0xb7734f41]
/lib/libvncserver.so.0(rfbCheckFds+0x380)[0xb7735440]
/lib/libvncserver.so.0(rfbProcessEvents+0x2f)[0xb772b54f]
x11vnc[0x80f3489]
x11vnc[0x80b2bcf]
x11vnc[0x80565eb]
/lib/libc.so.6(__libc_start_main+0xf3)[0xb70c4b83]
x11vnc[0x8063a89]
======= Memory map: ========
08048000-08195000 r-xp 00000000 00:1f 314492     /usr/bin/x11vnc
08195000-08196000 r--p 0014c000 00:1f 314492     /usr/bin/x11vnc
08196000-081db000 rw-p 0014d000 00:1f 314492     /usr/bin/x11vnc
081db000-083b6000 rw-p 00000000 00:00 0 
09eb4000-09f3b000 rw-p 00000000 00:00 0          [heap]
b55e6000-b5ca1000 rw-s 00000000 00:04 6193167    /SYSV00000000 (deleted)
b5ca1000-b635c000 rw-p 00000000 00:00 0 
b6380000-b639b000 r-xp 00000000 00:1f 296365     /usr/lib/libgcc_s-4.8.2-20131212.so.1
b639b000-b639c000 r--p 0001a000 00:1f 296365     /usr/lib/libgcc_s-4.8.2-20131212.so.1
b639c000-b639d000 rw-p 0001b000 00:1f 296365     /usr/lib/libgcc_s-4.8.2-20131212.so.1
b63af000-b63b0000 rw-p 00000000 00:00 0 
b63b0000-b63e5000 rw-s 00000000 00:04 7929924    /SYSV00000000 (deleted)
b63e5000-b6419000 rw-s 00000000 00:04 7897155    /SYSV00000000 (deleted)
b6419000-b644c000 rw-s 00000000 00:04 7864386    /SYSV00000000 (deleted)
b644c000-b647e000 rw-s 00000000 00:04 7831617    /SYSV00000000 (deleted)
b647e000-b64af000 rw-s 00000000 00:04 7798848    /SYSV00000000 (deleted)
b64af000-b64df000 rw-s 00000000 00:04 7766079    /SYSV00000000 (deleted)
b64df000-b650e000 rw-s 00000000 00:04 7733310    /SYSV00000000 (deleted)
b650e000-b653c000 rw-s 00000000 00:04 7700541    /SYSV00000000 (deleted)
b653c000-b6569000 rw-s 00000000 00:04 7667772    /SYSV00000000 (deleted)
b6569000-b6595000 rw-s 00000000 00:04 7635003    /SYSV00000000 (deleted)
b6595000-b65c0000 rw-s 00000000 00:04 7602234    /SYSV00000000 (deleted)
b65c0000-b65ea000 rw-s 00000000 00:04 7569465    /SYSV00000000 (deleted)
b65ea000-b6613000 rw-s 00000000 00:04 7536696    /SYSV00000000 (deleted)
b6613000-b663b000 rw-s 00000000 00:04 7503927    /SYSV00000000 (deleted)
b663b000-b6662000 rw-s 00000000 00:04 7471158    /SYSV00000000 (deleted)
b6662000-b6688000 rw-s 00000000 00:04 7438389    /SYSV00000000 (deleted)
b6688000-b66ad000 rw-s 00000000 00:04 7405620    /SYSV00000000 (deleted)
b66ad000-b66d1000 rw-s 00000000 00:04 7372851    /SYSV00000000 (deleted)
b66d1000-b66f4000 rw-s 00000000 00:04 7340082    /SYSV00000000 (deleted)
b66f4000-b6716000 rw-s 00000000 00:04 7307313    /SYSV00000000 (deleted)
b6716000-b6737000 rw-s 00000000 00:04 7274544    /SYSV00000000 (deleted)
b6737000-b6757000 rw-s 00000000 00:04 7241775    /SYSV00000000 (deleted)
b6757000-b6776000 rw-s 00000000 00:04 7209006    /SYSV00000000 (deleted)
b6776000-b6794000 rw-s 00000000 00:04 7176237    /SYSV00000000 (deleted)
b6794000-b67b1000 rw-s 00000000 00:04 7143468    /SYSV00000000 (deleted)
b67b1000-b67cd000 rw-s 00000000 00:04 7110699    /SYSV00000000 (deleted)
b67cd000-b67e8000 rw-s 00000000 00:04 7077930    /SYSV00000000 (deleted)
b67e8000-b6802000 rw-s 00000000 00:04 7045161    /SYSV00000000 (deleted)
b6802000-b681b000 rw-s 00000000 00:04 7012392    /SYSV00000000 (deleted)
b681b000-b6833000 rw-s 00000000 00:04 6979623    /SYSV00000000 (deleted)
b6833000-b684a000 rw-s 00000000 00:04 6946854    /SYSV00000000 (deleted)
b684a000-b6860000 rw-s 00000000 00:04 6914085    /SYSV00000000 (deleted)
b6860000-b6875000 rw-s 00000000 00:04 6881316    /SYSV00000000 (deleted)
b6875000-b6889000 rw-s 00000000 00:04 6848547    /SYSV00000000 (deleted)
b6889000-b689c000 rw-s 00000000 00:04 6815778    /SYSV00000000 (deleted)
b689c000-b68ae000 rw-s 00000000 00:04 6783009    /SYSV00000000 (deleted)
b68ae000-b68bf000 rw-s 00000000 00:04 6750240    /SYSV00000000 (deleted)
b68bf000-b68cf000 rw-s 00000000 00:04 6717471    /SYSV00000000 (deleted)
b68cf000-b68de000 rw-s 00000000 00:04 6684702    /SYSV00000000 (deleted)
b68de000-b68ec000 rw-s 00000000 00:04 6651933    /SYSV00000000 (deleted)
b68ec000-b68f9000 rw-s 00000000 00:04 6619164    /SYSV00000000 (deleted)
b68f9000-b6905000 rw-s 00000000 00:04 6586395    /SYSV00000000 (deleted)
b6905000-b6910000 rw-s 00000000 00:04 6553626    /SYSV00000000 (deleted)
b6910000-b691a000 rw-s 00000000 00:04 6520857    /SYSV00000000 (deleted)
b691a000-b6923000 rw-s 00000000 00:04 6488088    /SYSV00000000 (deleted)
b6923000-b692b000 rw-s 00000000 00:04 6455319    /SYSV00000000 (deleted)
b692b000-b6932000 rw-s 00000000 00:04 6422550    /SYSV00000000 (deleted)
b6932000-b6938000 rw-s 00000000 00:04 6389781    /SYSV00000000 (deleted)
b6938000-b6a1d000 rw-p 00000000 00:00 0 
b6a1d000-b6a44000 r-xp 00000000 00:1f 289180     /usr/lib/liblzma.so.5.0.99
b6a44000-b6a45000 r--p 00027000 00:1f 289180     /usr/lib/liblzma.so.5.0.99
b6a45000-b6a46000 rw-p 00028000 00:1f 289180     /usr/lib/liblzma.so.5.0.99
b6a46000-b6aae000 r-xp 00000000 00:1f 289150     /usr/lib/libpcre.so.1.2.1
b6aae000-b6aaf000 ---p 00068000 00:1f 289150     /usr/lib/libpcre.so.1.2.1
b6aaf000-b6ab0000 r--p 00068000 00:1f 289150     /usr/lib/libpcre.so.1.2.1
b6ab0000-b6ab1000 rw-p 00069000 00:1f 289150     /usr/lib/libpcre.so.1.2.1
b6ab1000-b6ad2000 r-xp 00000000 00:1f 294057     /usr/lib/libselinux.so.1
b6ad2000-b6ad3000 r--p 00020000 00:1f 294057     /usr/lib/libselinux.so.1
b6ad3000-b6ad4000 rw-p 00021000 00:1f 294057     /usr/lib/libselinux.so.1
b6ad4000-b6ad6000 rw-p 00000000 00:00 0 
b6ad6000-b6adb000 r-xp 00000000 00:1f 289284     /usr/lib/libffi.so.6.0.1
b6adb000-b6adc000 r--p 00005000 00:1f 289284     /usr/lib/libffi.so.6.0.1
b6adc000-b6add000 rw-p 00006000 00:1f 289284     /usr/lib/libffi.so.6.0.1
b6add000-b6adf000 r-xp 00000000 00:1f 293055     /usr/lib/libXau.so.6.0.0
b6adf000-b6ae0000 r--p 00001000 00:1f 293055     /usr/lib/libXau.so.6.0.0
b6ae0000-b6ae1000 rw-p 00002000 00:1f 293055     /usr/lib/libXau.so.6.0.0
b6ae1000-b6ae4000 r-xp 00000000 00:1f 290609     /usr/lib/libkeyutils.so.1.5
b6ae4000-b6ae5000 r--p 00002000 00:1f 290609     /usr/lib/libkeyutils.so.1.5
b6ae5000-b6ae6000 rw-p 00003000 00:1f 290609     /usr/lib/libkeyutils.so.1.5
b6ae6000-b6af2000 r-xp 00000000 00:1f 287136     /usr/lib/libkrb5support.so.0.1
b6af2000-b6af3000 r--p 0000b000 00:1f 287136     /usr/lib/libkrb5support.so.0.1
b6af3000-b6af4000 rw-p 0000c000 00:1f 287136     /usr/lib/libkrb5support.so.0.1
b6af4000-b6af5000 rw-p 00000000 00:00 0 
b6af5000-b6b5c000 r-xp 00000000 00:1f 289198     /usr/lib/sse2/libgmp.so.10.1.2
b6b5c000-b6b5d000 r--p 00066000 00:1f 289198     /usr/lib/sse2/libgmp.so.10.1.2
b6b5d000-b6b64000 rw-p 00067000 00:1f 289198     /usr/lib/sse2/libgmp.so.10.1.2
b6b64000-b6b8a000 r-xp 00000000 00:1f 300494     /usr/lib/libhogweed.so.2.5
b6b8a000-b6b8b000 r--p 00025000 00:1f 300494     /usr/lib/libhogweed.so.2.5
b6b8b000-b6b8c000 rw-p 00026000 00:1f 300494     /usr/lib/libhogweed.so.2.5
b6b8c000-b6bbf000 r-xp 00000000 00:1f 300496     /usr/lib/libnettle.so.4.7
b6bbf000-b6bc0000 r--p 00032000 00:1f 300496     /usr/lib/libnettle.so.4.7
b6bc0000-b6bc1000 rw-p 00033000 00:1f 300496     /usr/lib/libnettle.so.4.7
b6bc1000-b6bd3000 r-xp 00000000 00:1f 291645     /usr/lib/libtasn1.so.6.1.1
b6bd3000-b6bd4000 r--p 00011000 00:1f 291645     /usr/lib/libtasn1.so.6.1.1
b6bd4000-b6bd5000 rw-p 00012000 00:1f 291645     /usr/lib/libtasn1.so.6.1.1
b6bd5000-b6c0e000 r-xp 00000000 00:1f 289312     /usr/lib/libp11-kit.so.0.0.0
b6c0e000-b6c11000 r--p 00039000 00:1f 289312     /usr/lib/libp11-kit.so.0.0.0
b6c11000-b6c12000 rw-p 0003c000 00:1f 289312     /usr/lib/libp11-kit.so.0.0.0
b6c12000-b6c19000 r-xp 00000000 00:1f 289017     /usr/lib/librt-2.18.so
b6c19000-b6c1a000 r--p 00006000 00:1f 289017     /usr/lib/librt-2.18.so
b6c1a000-b6c1b000 rw-p 00007000 00:1f 289017     /usr/lib/librt-2.18.so
b6c1b000-b6c1c000 rw-p 00000000 00:00 0 
b6c1c000-b6c1f000 r-xp 00000000 00:1f 289275     /usr/lib/libgpg-error.so.0.10.0
b6c1f000-b6c20000 r--p 00003000 00:1f 289275     /usr/lib/libgpg-error.so.0.10.0
b6c20000-b6c21000 rw-p 00004000 00:1f 289275     /usr/lib/libgpg-error.so.0.10.0
b6c21000-b6c66000 r-xp 00000000 00:1f 288995     /usr/lib/libm-2.18.so
b6c66000-b6c67000 r--p 00044000 00:1f 288995     /usr/lib/libm-2.18.so
b6c67000-b6c68000 rw-p 00045000 00:1f 288995     /usr/lib/libm-2.18.so
b6c68000-b6cb3000 r-xp 00000000 00:1f 285354     /usr/lib/libdbus-1.so.3.7.4
b6cb3000-b6cb4000 r--p 0004a000 00:1f 285354     /usr/lib/libdbus-1.so.3.7.4
b6cb4000-b6cb5000 rw-p 0004b000 00:1f 285354     /usr/lib/libdbus-1.so.3.7.4
b6cb5000-b6cd7000 r-xp 00000000 00:1f 293135     /usr/lib/libxcb.so.1.1.0
b6cd7000-b6cd8000 r--p 00021000 00:1f 293135     /usr/lib/libxcb.so.1.1.0
b6cd8000-b6cd9000 rw-p 00022000 00:1f 293135     /usr/lib/libxcb.so.1.1.0
b6cd9000-b6ce2000 r-xp 00000000 00:1f 295454     /usr/lib/libXrender.so.1.3.0
b6ce2000-b6ce3000 r--p 00008000 00:1f 295454     /usr/lib/libXrender.so.1.3.0
b6ce3000-b6ce4000 rw-p 00009000 00:1f 295454     /usr/lib/libXrender.so.1.3.0
b6ce4000-b6ce5000 rw-p 00000000 00:00 0 
b6ce5000-b6cf4000 r-xp 00000000 00:1f 295460     /usr/lib/libXi.so.6.1.0
b6cf4000-b6cf5000 r--p 0000e000 00:1f 295460     /usr/lib/libXi.so.6.1.0
b6cf5000-b6cf6000 rw-p 0000f000 00:1f 295460     /usr/lib/libXi.so.6.1.0
b6cf6000-b6d5a000 r-xp 00000000 00:1f 297232     /usr/lib/libfreebl3.so
b6d5a000-b6d5b000 r--p 00063000 00:1f 297232     /usr/lib/libfreebl3.so
b6d5b000-b6d5c000 rw-p 00064000 00:1f 297232     /usr/lib/libfreebl3.so
b6d5c000-b6d60000 rw-p 00000000 00:00 0 
b6d60000-b6d63000 r-xp 00000000 00:1f 288993     /usr/lib/libdl-2.18.so
b6d63000-b6d64000 r--p 00002000 00:1f 288993     /usr/lib/libdl-2.18.so
b6d64000-b6d65000 rw-p 00003000 00:1f 288993     /usr/lib/libdl-2.18.so
b6d65000-b6d98000 r-xp 00000000 00:1f 287124     /usr/lib/libk5crypto.so.3.1
b6d98000-b6d99000 r--p 00033000 00:1f 287124     /usr/lib/libk5crypto.so.3.1
b6d99000-b6d9a000 rw-p 00034000 00:1f 287124     /usr/lib/libk5crypto.so.3.1
b6d9a000-b6d9b000 rw-p 00000000 00:00 0 
b6d9b000-b6d9e000 r-xp 00000000 00:1f 289282     /usr/lib/libcom_err.so.2.1
b6d9e000-b6d9f000 r--p 00002000 00:1f 289282     /usr/lib/libcom_err.so.2.1
b6d9f000-b6da0000 rw-p 00003000 00:1f 289282     /usr/lib/libcom_err.so.2.1
b6da0000-b6da1000 rw-p 00000000 00:00 0 
b6da1000-b6e67000 r-xp 00000000 00:1f 287134     /usr/lib/libkrb5.so.3.3
b6e67000-b6e68000 ---p 000c6000 00:1f 287134     /usr/lib/libkrb5.so.3.3
b6e68000-b6e6e000 r--p 000c6000 00:1f 287134     /usr/lib/libkrb5.so.3.3
b6e6e000-b6e70000 rw-p 000cc000 00:1f 287134     /usr/lib/libkrb5.so.3.3
b6e70000-b6eb6000 r-xp 00000000 00:1f 287120     /usr/lib/libgssapi_krb5.so.2.2
b6eb6000-b6eb7000 r--p 00045000 00:1f 287120     /usr/lib/libgssapi_krb5.so.2.2
b6eb7000-b6eb8000 rw-p 00046000 00:1f 287120     /usr/lib/libgssapi_krb5.so.2.2
b6eb8000-b6fc6000 r-xp 00000000 00:1f 300460     /usr/lib/libgnutls.so.28.20.4
b6fc6000-b6fcb000 r--p 0010d000 00:1f 300460     /usr/lib/libgnutls.so.28.20.4
b6fcb000-b6fcc000 rw-p 00112000 00:1f 300460     /usr/lib/libgnutls.so.28.20.4
b6fcc000-b6fcd000 rw-p 00000000 00:00 0 
b6fcd000-b7051000 r-xp 00000000 00:1f 289320     /usr/lib/libgcrypt.so.11.8.2
b7051000-b7052000 r--p 00083000 00:1f 289320     /usr/lib/libgcrypt.so.11.8.2
b7052000-b7054000 rw-p 00084000 00:1f 289320     /usr/lib/libgcrypt.so.11.8.2
b7054000-b7055000 rw-p 00000000 00:00 0 
b7055000-b706a000 r-xp 00000000 00:1f 289015     /usr/lib/libresolv-2.18.so
b706a000-b706b000 r--p 00015000 00:1f 289015     /usr/lib/libresolv-2.18.so
b706b000-b706c000 rw-p 00016000 00:1f 289015     /usr/lib/libresolv-2.18.so
b706c000-b706f000 rw-p 00000000 00:00 0 
b706f000-b70a4000 r-xp 00000000 00:1f 292635     /usr/lib/libpng16.so.16.3.0
b70a4000-b70a5000 r--p 00034000 00:1f 292635     /usr/lib/libpng16.so.16.3.0
b70a5000-b70a6000 rw-p 00035000 00:1f 292635     /usr/lib/libpng16.so.16.3.0
b70a6000-b70a9000 r-xp 00000000 00:1f 303050     /usr/lib/libminilzo.so.0
b70a9000-b70aa000 r--p 00002000 00:1f 303050     /usr/lib/libminilzo.so.0
b70aa000-b70ab000 rw-p 00003000 00:1f 303050     /usr/lib/libminilzo.so.0
b70ab000-b7263000 r-xp 00000000 00:1f 288987     /usr/lib/libc-2.18.so
b7263000-b7265000 r--p 001b8000 00:1f 288987     /usr/lib/libc-2.18.so
b7265000-b7266000 rw-p 001ba000 00:1f 288987     /usr/lib/libc-2.18.so
b7266000-b7269000 rw-p 00000000 00:00 0 
b7269000-b72b3000 r-xp 00000000 00:1f 292628     /usr/lib/libjpeg.so.62.1.0
b72b3000-b72b4000 r--p 00049000 00:1f 292628     /usr/lib/libjpeg.so.62.1.0
b72b4000-b72b5000 rw-p 0004a000 00:1f 292628     /usr/lib/libjpeg.so.62.1.0
b72b5000-b72c5000 rw-p 00000000 00:00 0 
b72c5000-b72da000 r-xp 00000000 00:1f 289166     /usr/lib/libz.so.1.2.8
b72da000-b72db000 r--p 00014000 00:1f 289166     /usr/lib/libz.so.1.2.8
b72db000-b72dc000 rw-p 00015000 00:1f 289166     /usr/lib/libz.so.1.2.8
b72dc000-b72f3000 r-xp 00000000 00:1f 289013     /usr/lib/libpthread-2.18.so
b72f3000-b72f4000 r--p 00016000 00:1f 289013     /usr/lib/libpthread-2.18.so
b72f4000-b72f5000 rw-p 00017000 00:1f 289013     /usr/lib/libpthread-2.18.so
b72f5000-b72f8000 rw-p 00000000 00:00 0 
b72f8000-b730e000 r-xp 00000000 00:1f 288997     /usr/lib/libnsl-2.18.so
b730e000-b730f000 r--p 00015000 00:1f 288997     /usr/lib/libnsl-2.18.so
b730f000-b7310000 rw-p 00016000 00:1f 288997     /usr/lib/libnsl-2.18.so
b7310000-b7312000 rw-p 00000000 00:00 0 
b7312000-b7322000 r-xp 00000000 00:1f 293141     /usr/lib/libavahi-client.so.3.2.9
b7322000-b7323000 r--p 0000f000 00:1f 293141     /usr/lib/libavahi-client.so.3.2.9
b7323000-b7324000 rw-p 00010000 00:1f 293141     /usr/lib/libavahi-client.so.3.2.9
b7324000-b7330000 r-xp 00000000 00:1f 293143     /usr/lib/libavahi-common.so.3.5.3
b7330000-b7331000 r--p 0000b000 00:1f 293143     /usr/lib/libavahi-common.so.3.5.3
b7331000-b7332000 rw-p 0000c000 00:1f 293143     /usr/lib/libavahi-common.so.3.5.3
b7332000-b746a000 r-xp 00000000 00:1f 295450     /usr/lib/libX11.so.6.3.0
b746a000-b746b000 r--p 00137000 00:1f 295450     /usr/lib/libX11.so.6.3.0
b746b000-b746e000 rw-p 00138000 00:1f 295450     /usr/lib/libX11.so.6.3.0
b746e000-b7470000 r-xp 00000000 00:1f 295466     /usr/lib/libXdamage.so.1.1.0
b7470000-b7471000 r--p 00001000 00:1f 295466     /usr/lib/libXdamage.so.1.1.0
b7471000-b7472000 rw-p 00002000 00:1f 295466     /usr/lib/libXdamage.so.1.1.0
b7472000-b7476000 r-xp 00000000 00:1f 295456     /usr/lib/libXfixes.so.3.1.0
b7476000-b7477000 r--p 00003000 00:1f 295456     /usr/lib/libXfixes.so.3.1.0
b7477000-b7478000 rw-p 00004000 00:1f 295456     /usr/lib/libXfixes.so.3.1.0
b7478000-b7479000 rw-p 00000000 00:00 0 
b7479000-b7482000 r-xp 00000000 00:1f 295458     /usr/lib/libXrandr.so.2.2.0
b7482000-b7483000 r--p 00008000 00:1f 295458     /usr/lib/libXrandr.so.2.2.0
b7483000-b7484000 rw-p 00009000 00:1f 295458     /usr/lib/libXrandr.so.2.2.0
b7484000-b7486000 r-xp 00000000 00:1f 295462     /usr/lib/libXinerama.so.1.0.0
b7486000-b7487000 r--p 00001000 00:1f 295462     /usr/lib/libXinerama.so.1.0.0
b7487000-b7488000 rw-p 00002000 00:1f 295462     /usr/lib/libXinerama.so.1.0.0
b7488000-b7499000 r-xp 00000000 00:1f 295452     /usr/lib/libXext.so.6.4.0
b7499000-b749a000 r--p 00010000 00:1f 295452     /usr/lib/libXext.so.6.4.0
b749a000-b749b000 rw-p 00011000 00:1f 295452     /usr/lib/libXext.so.6.4.0
b749b000-b74a0000 r-xp 00000000 00:1f 295470     /usr/lib/libXtst.so.6.1.0
b74a0000-b74a1000 r--p 00004000 00:1f 295470     /usr/lib/libXtst.so.6.1.0
b74a1000-b74a2000 rw-p 00005000 00:1f 295470     /usr/lib/libXtst.so.6.1.0
b74a2000-b74a9000 r-xp 00000000 00:1f 288991     /usr/lib/libcrypt-2.18.so
b74a9000-b74aa000 r--p 00006000 00:1f 288991     /usr/lib/libcrypt-2.18.so
b74aa000-b74ab000 rw-p 00007000 00:1f 288991     /usr/lib/libcrypt-2.18.so
b74ab000-b74d3000 rw-p 00000000 00:00 0 
b74d3000-b7684000 r-xp 00000000 00:1f 297301     /usr/lib/libcrypto.so.1.0.1e
b7684000-b7694000 r--p 001b0000 00:1f 297301     /usr/lib/libcrypto.so.1.0.1e
b7694000-b769b000 rw-p 001c0000 00:1f 297301     /usr/lib/libcrypto.so.1.0.1e
b769b000-b769e000 rw-p 00000000 00:00 0 
b769e000-b76fd000 r-xp 00000000 00:1f 310812     /usr/lib/libssl.so.1.0.1e
b76fd000-b76ff000 r--p 0005f000 00:1f 310812     /usr/lib/libssl.so.1.0.1e
b76ff000-b7703000 rw-p 00061000 00:1f 310812     /usr/lib/libssl.so.1.0.1e
b7703000-b7720000 r-xp 00000000 00:1f 310490     /usr/lib/libvncclient.so.0.0.0
b7720000-b7721000 r--p 0001c000 00:1f 310490     /usr/lib/libvncclient.so.0.0.0
b7721000-b7722000 rw-p 0001d000 00:1f 310490     /usr/lib/libvncclient.so.0.0.0
b7722000-b7764000 r-xp 00000000 00:1f 310546     /usr/lib/libvncserver.so.0.0.0
b7764000-b7765000 r--p 00041000 00:1f 310546     /usr/lib/libvncserver.so.0.0.0
b7765000-b7766000 rw-p 00042000 00:1f 310546     /usr/lib/libvncserver.so.0.0.0
b7766000-b777b000 rw-p 00000000 00:00 0 
b777b000-b7780000 rw-s 00000000 00:04 6357012    /SYSV00000000 (deleted)
b7780000-b7784000 rw-s 00000000 00:04 6324243    /SYSV00000000 (deleted)
b7784000-b7787000 rw-s 00000000 00:04 6291474    /SYSV00000000 (deleted)
b7787000-b7789000 rw-s 00000000 00:04 6258705    /SYSV00000000 (deleted)
b7789000-b778a000 rw-s 00000000 00:04 6225936    /SYSV00000000 (deleted)
b778a000-b778c000 rw-s 00000000 00:04 6160398    /SYSV00000000 (deleted)
b778c000-b778d000 rw-p 00000000 00:00 0 
b778d000-b77ac000 r-xp 00000000 00:1f 288980     /usr/lib/ld-2.18.so
b77ac000-b77ad000 r-xp 00000000 00:00 0          [vdso]
b77ad000-b77ae000 r--p 0001f000 00:1f 288980     /usr/lib/ld-2.18.so
b77ae000-b77af000 rw-p 00020000 00:1f 288980     /usr/lib/ld-2.18.so
bff9a000-bffbb000 rw-p 00000000 00:00 0          [stack]
caught signal: 6
31/01/2014 07:14:46 deleted 53 tile_row polling images.
Comment 11 Rex Dieter 2014-01-30 16:24:16 EST
OK, very likely has something to with all the warnings:

31/01/2014 07:14:20 rfbListenOnTCP6Port: error in bind IPv6 socket: Address
family not supported by protocol

(I don't see that on my box)

Can abrt catch this to generate a backtrace or can you run it under gdb?
Comment 12 Darryl Bond 2014-01-30 17:30:51 EST
libvncserver-0.9.9-10.fc20.i686
x11vnc-0.9.13-11.fc20.i686

Doesn't seen to take any notice of the ipv6 disable flags??
x11vnc -noipv6 -no6
...
31/01/2014 07:26:23 Autoprobing TCP port 
31/01/2014 07:26:23 Autoprobing selected TCP port 5900
31/01/2014 07:26:23 Autoprobing TCP6 port 
31/01/2014 07:26:23 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:26:23 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:26:23 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
31/01/2014 07:26:23 rfbListenOnTCP6Port: error in bind IPv6 socket: Address family not supported by protocol
...
Comment 13 Darryl Bond 2014-01-30 17:31:32 EST
I do have ipv6 disabled on the x11vnc server
Comment 14 Darryl Bond 2014-01-30 18:26:02 EST
0xb7ffd424 in __kernel_vsyscall ()
(gdb) backtrace
#0  0xb7ffd424 in __kernel_vsyscall ()
#1  0xb792aba6 in raise () from /lib/libc.so.6
#2  0xb792c3e3 in abort () from /lib/libc.so.6
#3  0xb796a2e8 in __libc_message () from /lib/libc.so.6
#4  0xb7a05575 in __fortify_fail () from /lib/libc.so.6
#5  0xb7a0364a in __chk_fail () from /lib/libc.so.6
#6  0xb7a0548a in __fdelt_warn () from /lib/libc.so.6
#7  0xb7f85f41 in rfbProcessNewConnection () from /lib/libvncserver.so.0
#8  0xb7f86440 in rfbCheckFds () from /lib/libvncserver.so.0
#9  0xb7f7c54f in rfbProcessEvents () from /lib/libvncserver.so.0
#10 0x080f3489 in rfbPE ()
#11 0x080b2bcf in watch_loop ()
#12 0x080565eb in main ()
Comment 15 Frantisek Hanzlik 2014-01-30 18:58:31 EST
Created attachment 857669 [details]
x11vnc/gdb outputs when crash occurs

this is x11vnc crash on my f19-i386 PC, with backtrace (debuginfo pkgs installed); backtrace is at listing end.
Comment 16 Darryl Bond 2014-01-30 19:02:06 EST
Workaround for me is to remove the ipv6 disable from the kernel command line (ipv6.disable=1).
The ipv6 wornings are no longer displayed and x11vnc works as it should.
Comment 17 Frantisek Hanzlik 2014-01-30 19:04:19 EST
(In reply to Rex Dieter from comment #9)
> Turns out I cannot reproduce the crash on host using:
> 
> $ rpm -q x11vnc libvncserver
> x11vnc-0.9.13-11.fc19.x86_64
> libvncserver-0.9.9-10.fc19.x86_64
> 
> and connecting to it from a fedora 20 client.
> 
> (I suppose there's a chance this is i686-specific somehow).
> 
> If anyone can still reproduce this, can you generate a fresh backtrace (or
> let abrt do it for you)?

This crash occurs on my f19/x86_64 system too.
Comment 18 Frantisek Hanzlik 2014-01-30 20:16:43 EST
(In reply to Darryl Bond from comment #16)
> Workaround for me is to remove the ipv6 disable from the kernel command line
> (ipv6.disable=1).
> The ipv6 wornings are no longer displayed and x11vnc works as it should.

"disable ipv6.disable=1" options are (and I hope they will) standard options on all my IPv4-only machines (which are all non-experimental ;).
And all network daemons/programs are working fine, including x11vnc - until 'libvncserver' was updated from '0.9.8' to '0.9.9'.
Comment 19 Rex Dieter 2014-01-30 20:50:34 EST
OK, thanks for the extra information.  It's fairly clear now that the new ipv6 support that came in v0.9.9 wasn't robust against the case of having ipv6 disabled on the host.

I'll work to inform upstream and other distros, and see if we can collaborate our way to a workable solution.
Comment 20 Rex Dieter 2014-03-31 09:36:36 EDT
filed upstream ticket,
https://sourceforge.net/p/libvncserver/tickets/1/
Comment 21 Rex Dieter 2014-03-31 10:04:27 EDT
Unfortunate initial feedback from upstream:

"the use case illustrated at least in the first downstream link is only supported by disabling IPv6 support at compile time for now"

Looks like libvncserver simply does not support ipv6 being disabled on the host (currently).  :(
Comment 22 Rex Dieter 2014-03-31 12:35:11 EDT
Found a couple of upstream commits that may help (some), anyone interested in testing can grab these builds:

f19: https://koji.fedoraproject.org/koji/buildinfo?buildID=508284
f20: https://koji.fedoraproject.org/koji/buildinfo?buildID=508285
Comment 24 Fedora End Of Life 2015-01-09 17:08:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 Fedora End Of Life 2015-02-18 08:55:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.